Loading...
Searching...
No Matches
httpd.h File Reference
`#include "httpd_opts.h"`
`#include "lwip/err.h"`
`#include "lwip/pbuf.h"`

## Data Structures

struct | tCGI

## Macros

#define | HTTPD_SSI_TAG_UNKNOWN 0xFFFF

## Typedefs

typedef const char *(* | tCGIHandler) (int iIndex, int iNumParams, char *pcParam[], char *pcValue[])
typedef u16_t(* | tSSIHandler) (const char *ssi_tag_name, char *pcInsert, int iInsertLen)

## Functions

void | http_set_cgi_handlers (const tCGI *pCGIs, int iNumHandlers)
void | http_set_ssi_handler (tSSIHandler pfnSSIHandler, const char **ppcTags, int iNumTags)
err_t | httpd_post_begin (void *connection, const char *uri, const char *http_request, u16_t http_request_len, int content_len, char *response_uri, u16_t response_uri_len, u8_t *post_auto_wnd)
err_t | httpd_post_receive_data (void *connection, struct pbuf *p)
void | httpd_post_finished (void *connection, char *response_uri, u16_t response_uri_len)
void | httpd_post_data_recved (void *connection, u16_t recved_len)
void | httpd_init (void)
void | httpd_inits (struct altcp_tls_config *conf)

## Detailed Description

HTTP server

## Macro Definition Documentation

## HTTPD_SSI_TAG_UNKNOWN

#define HTTPD_SSI_TAG_UNKNOWN 0xFFFF

For LWIP_HTTPD_SSI_RAW==1, return this to indicate the tag is unknown. In this case, the webserver writes a warning into the page. You can also just return 0 to write nothing for unknown tags.